LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XBinaryDataContainer Interface Reference

Container for binary data, typically an in-memory content of files. More...

`import <XBinaryDataContainer.idl;`

## Public Member Functions
sequence< byte > | getCopyAsByteSequence ()
| Get a copy of the contained data.

## Detailed Description

Container for binary data, typically an in-memory content of files.

The binary data in the container is regarded as read-only so no access that would allow changing the data is allowed in this interface.

Since
  LibreOffice 7.2

## Member Function Documentation

## ◆ getCopyAsByteSequence()

sequence< byte > getCopyAsByteSequence | ( |  | ) |

Get a copy of the contained data.

The documentation for this interface was generated from the following file:

- com/sun/star/util/XBinaryDataContainer.idl